/* 
 * File:   acquisition.h
 * Author: renaud
 *
 * Created on 15 juillet 2015, 13:32
 */

#ifndef ACQUISITION_H
#define	ACQUISITION_H

#define SAMPLES 1001                            // samples/2sec
#define TMR0CPT 8000000L/256/SAMPLES           //
#define CURRENT_OFFSET1 511
#define VOLTAGE_OFFSET 510

#define POWER_COEF1   0.0478
#define VOLT_COEF     69.77/SAMPLES
#define CURR_COEF     0.686/SAMPLES

#define VOLT_CHAN   4

void startAcq(void);  /* Setup acquisition */
void stopAcq(void);   /* Setup acquisition */
void acqSample(void); /* Measure a new sample */
void acqTask(void);
void restartAvg(void);

typedef struct {
    float power;
    int gain;
    int saturation;
    float voltagePP;
    float currentPP;
    float voltageRMS;
    float currentRMS;
    float powerApparent;
    float powerAvg;
} AcqValues;


typedef enum {CUR_CH_1 = 0, CUR_CH_2 = 1, CUR_CH_3 = 2} CurrChannel;

/* Flag to indicate when new acquisition is ready */
extern int acqReady;
/* Result of acquisition */
extern AcqValues acquisition;
/* Flag set when it's time to acq*/
extern volatile int timeToAcq;


#endif	/* ACQUISITION_H */

