/* 
 * File:   lcd.h
 * Author: renaud
 *
 * Created on 14 juillet 2015, 11:42
 */

#ifndef LCD_H
#define	LCD_H

#define LCD_WRITE_ADDR  0x42
#define LCD_READ_ADDR   0x43

typedef enum {LED_OFF=0x01, LED_ON=0x11, LED_FLASHING=0x21} LedState;
typedef enum {UPPER=0x00, LOWER=0x01} LineType;

typedef enum {
    BTN_UP = 0x01,
    BTN_DOWN = 0x02,
    BTN_LEFT = 0x04,
    BTN_RIGHT = 0x08,
    BTN_GO = 0x10,
    BTN_STOP = 0x20}
ButtonType;

void LCDInit(void);
void LCDPreSend(void);
void LCDPostSend(void);
void LCDSendI2C(const char* data, int length);
void LCDSkipAns(void);

void LCDSetLed(LedState state);
void LCDWriteLine(LineType line,const unsigned char* str);
void LCDClearLines();

unsigned char LCDReadButtons(void);

#endif	/* LCD_H */

